const system = require("../../../system");
const settings = require("../../../../config/settings");
const uiconfig = system.getUiConfig2(settings.appKey);
module.exports = (db, DataTypes) => {
  return db.define("orderOfficial", {
    sourceNo: DataTypes.STRING(128),   // 订单号
    channelUserId: DataTypes.STRING(128),  //  用户id
    officialInfo: DataTypes.JSON     //   官文信息
  }, {
      paranoid: true,//假的删除
      underscored: true,
      version: true,
      freezeTableName: true,
      timestamps: true,
      updatedAt: true,
      tableName: 'c_delivery_official',
      validate: {

      },
      indexes: [

      ]
    });
}
